Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158731 - FC3 builds of Firefox incompatible with Venkman JS Debugger
Summary: FC3 builds of Firefox incompatible with Venkman JS Debugger
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 10:55 UTC by Darren Brierton
Modified: 2018-04-11 10:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-28 14:45:35 UTC


Attachments (Terms of Use)

Description Darren Brierton 2005-05-25 10:55:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
If I install the Venkman JS Debugger in Firefox as an extension and then attemp to start it from the Tools menu I get the following error:

An exception occurred while initializing, please file a bug.

BadMojo 4: JS Debugger Service is not installed. @ <chrome://venkman/content/venkman-debugger.js> line 126 (initDebugger)

The JS Debugger does then start but not in the state it is meant to start in.

According to this:
http://extensionroom.mozdev.org/more-info/venkman

comments 17, 18, and 19 indicate that this is because the FC3 builds of Firefox are built with the option --disable-jsd.

Version-Release number of selected component (if applicable):
firefox-1.0.4-1.3.1

How reproducible:
Always

Steps to Reproduce:
1. Install Venkman as an extension.
2. Start JS Debugger from Tools menu.

Actual Results:  Error

Expected Results:  No error

Additional info:

Comment 1 Matthew Miller 2006-07-10 22:52:55 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Matěj Cepl 2007-07-18 17:23:07 UTC
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 3 Matěj Cepl 2007-08-28 14:45:35 UTC
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.


Note You need to log in before you can comment on or make changes to this bug.